#
# spec file for package python-os-resource-classes
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-os-resource-classes
Version:        0.3.0
Release:        1.9
Summary:        Resource Classes for OpenStack
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/os-resource-classes
Source0:        https://files.pythonhosted.org/packages/source/o/os-resource-classes/os-resource-classes-0.3.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr
BuildRequires:  python2-python-subunit
BuildRequires:  python2-stestr
BuildRequires:  python2-testtools
BuildRequires:  python3-devel
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr
BuildRequires:  python3-python-subunit
BuildRequires:  python3-stestr
BuildRequires:  python3-testtools
Requires:       python-pbr
BuildArch:      noarch
%python_subpackages

%description
A list of standardized resource classes for OpenStack.
A resource class is a distinct type of inventory that exists in a cloud
environment, for example VCPU, DISK_GB. They are upper case with underscores.
They often include a unit in their name.
This package provides a collection of symbols representing those standard
resource classes which are expected to be available in any OpenStack deployment.
There also exists a concept of custom resource classes. These are countable
types that are custom to a particular environment. The OpenStack placement
API provides a way to create these. A custom resource class always begins
with a CUSTOM_ prefix.

%package -n python-os-resource-classes-doc
Summary:        Documentation for Resource Classes for OpenStack
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description -n python-os-resource-classes-doc
A list of standardized resource classes for OpenStack.
A resource class is a distinct type of inventory that exists in a cloud
environment, for example VCPU, DISK_GB. They are upper case with underscores.
They often include a unit in their name.
This package provides a collection of symbols representing those standard
resource classes which are expected to be available in any OpenStack deployment.
There also exists a concept of custom resource classes. These are countable
types that are custom to a particular environment. The OpenStack placement
API provides a way to create these. A custom resource class always begins
with a CUSTOM_ prefix.

This package contains the documentation.

%prep
%autosetup -p1 -n os-resource-classes-%{version}
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}
PBR_VERSION=0.3.0 sphinx-build -b html doc/source doc/build/html

%install
%{python_install}

%check
%python_exec -m stestr.cli run

%files %{python_files}
%doc README.rst ChangeLog
%license LICENSE
%{python_sitelib}/os_resource_classes*
%{python_sitelib}/*.egg-info

%files -n python-os-resource-classes-doc
%doc doc/build/html
%license LICENSE

%changelog
